How do I get rid of this security alert?

Get help using Construct 2

Post » Thu Oct 09, 2014 5:54 am

Has anyone else noticed a warning message in Google Developer Console lately?

Security alert
This app is built on a version of Apache Cordova that contains security vulnerabilities. This includes a high severity cross-application scripting (XAS) vulnerability. Under certain circumstances, vulnerable apps could be remotely exploited to steal sensitive information, such as user login credentials. Please see the alerts page for more information, including how to address the vulnerabilities.

Is the only option to wait for an update for Intel XDK?
B
14
S
3
Posts: 123
Reputation: 1,571

Post » Thu Oct 09, 2014 7:13 am

Yup. I also have this with my game. I recon we need to wait for it to be fixed/updated in XDK.
B
48
S
13
Posts: 118
Reputation: 3,326

Post » Thu Oct 16, 2014 11:47 am

Me too.

https://forums.html5dev-software.intel. ... ova#p28880

One post at this forum:

Re: Apache Cordova - Security Vulnerabilities
Postby IntelPaulF » Sun Oct 12, 2014 7:38 pm

Please see the prior post regarding Crosswalk and 3.5.1 -- when it has been updated so it is using 3.5.1 a notice will be posted. We have only heard of people being notified of the need to update their apps. We have not heard of anyone actually having an app pulled, at this time.
Paul Fischer
Technical Consulting Engineer
Intel Corporation, HTML5 Dev Tools
B
28
S
6
G
7
Posts: 678
Reputation: 5,676

Post » Sat Oct 18, 2014 1:08 pm

We have updated the cordova in crosswalk, so please read this:

viewtopic.php?f=146&t=101139&p=846131#p846131
Intel Corporation
B
15
S
3
Posts: 193
Reputation: 1,552

Post » Sat Oct 18, 2014 1:31 pm

Thanks, I'll check it out.
B
14
S
3
Posts: 123
Reputation: 1,571

Post » Sat Oct 18, 2014 7:51 pm

Thanks
B
28
S
6
G
7
Posts: 678
Reputation: 5,676


Return to How do I....?

Who is online

Users browsing this forum: mariusvm, zenox98 and 16 guests